OrcUnion (ORC MapReduce 1.2.1 API)
Date: 2016-10-19

org.apache.orc.mapred

## Class OrcUnion

- java.lang.Object
- - org.apache.orc.mapred.OrcUnion

- All Implemented Interfaces:
    Comparable<OrcUnion>, Writable, WritableComparable<OrcUnion>

      public final class OrcUnion
      extends Object
      implements WritableComparable<OrcUnion>

  An in-memory representation of a union type.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrcUnion(TypeDescription schema)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(OrcUnion other)`
    `boolean` | `equals(Object other)`
    `Writable` | `getObject()`
    `byte` | `getTag()`
    `int` | `hashCode()`
    `void` | `readFields(DataInput input)`
    `void` | `set(int tag, WritableComparable object)`
    `String` | `toString()`
    `void` | `write(DataOutput output)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OrcUnion

          public OrcUnion(TypeDescription schema)

  - ### Method Detail

    - #### set

          public void set(int tag,
                          WritableComparable object)

    - #### getTag

          public byte getTag()

    - #### getObject

          public Writable getObject()

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### write

          public void write(DataOutput output)
                     throws IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `IOException`

    - #### readFields

          public void readFields(DataInput input)
                          throws IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `IOException`

    - #### compareTo

          public int compareTo(OrcUnion other)

      Specified by:
        `compareTo` in interface `Comparable<OrcUnion>`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.